Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Interface BuildStrategy

All Superinterfaces:
  ConvertibleFromConfig

All Known Subinterfaces:
  QuartzStrategy

All Known Implementing Classes:
  AbstractBuildStrategy, AbstractPollingBuildStrategy, CronTriggerBuildStrategy, FisheyeTriggeredBuildStrategy, InitialBootstapBuildStrategy, LegacyAbstractBuildStrategy, LegacyAbstractPollingBuildStrategy, LegacyInitialBootstapBuildStrategy, LegacyPollingBuildStrategy, LegacyTriggeredBuildStrategy, ManualBuild, ManualBuildStrategy, PollingBuildStrategy, QuartzStrategyImpl, SingleDailyBuildStrategy, TriggeredBuildStrategy

    public interface BuildStrategy

extends ConvertibleFromConfig

This interface is used to determin if a build should be built.

Method Summary
`void` | `addDefaultValues(BuildConfiguration buildConfiguration)`
`String` | `getBuildMessage()` Custom message for displaying in the log
`Collection` | `getChangeList()` What are the changes to include in the build
`String` | `getDescription()`
`String` | `getKey()` A lowercase string key to identify the build strategy
`String` | `getName()` Returns the display name of the strategy
`void` | `init(Build build)` Called whenever Bamboo starts up
`boolean` | `requiresBuild(Build build)` Should the build be built?
`boolean` | `requiresPreBuildClean()` Should we clean the build files before we build?
`void` | `setBuildMessage(String message)` Custom message for displaying in the log
`ErrorCollection` | `validate(BuildConfiguration buildConfiguration)` Takes in a `BuildConfiguration` and returns any errors possible

Methods inherited from interface com.atlassian.bamboo.fieldvalue.ConvertibleFromConfig
`populateFromConfig, toConfiguration`

Method Detail

### init

    void init(Build build)

  Called whenever Bamboo starts up

  Parameters:
    `build` -

### validate

    ErrorCollection validate(BuildConfiguration buildConfiguration)

  Takes in a `BuildConfiguration` and returns any errors possible

  Parameters:
    `buildConfiguration` - not null
  Returns:
    `ErrorCollection`. must not be null

### getKey

    String getKey()

  A lowercase string key to identify the build strategy

  Returns:
    String must not be null

### getName

    String getName()

  Returns the display name of the strategy

  Returns:
    String must not be null

### requiresBuild

    boolean requiresBuild(Build build)
                          throws RepositoryException

  Should the build be built?

  Parameters:
    `build` - The build
  Returns:
    True iff the build should be built.
  Throws:
    `RepositoryException`

### requiresPreBuildClean

    boolean requiresPreBuildClean()

  Should we clean the build files before we build?

  Returns:
    true iff the existing build file should be deleted first?

### getBuildMessage

    String getBuildMessage()

  Custom message for displaying in the log

  Returns:
    The message

### setBuildMessage

    void setBuildMessage(String message)

  Custom message for displaying in the log

### getChangeList

    Collection getChangeList()

  What are the changes to include in the build

  Returns:
    the changes (if any)

### getDescription

    String getDescription()

### addDefaultValues

    void addDefaultValues(BuildConfiguration buildConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.